Bug 42684 - Change Database lock to use FileLock
Summary: Change Database lock to use FileLock
Status: CLOSED FIXED
Alias: None
Product: Xindice
Classification: Unclassified
Component: DB Engine (show other bugs)
Version: cvs head (1.1)
Hardware: Other other
: P2 normal
Target Milestone: ---
Assignee: Xindice Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-06-17 12:49 UTC by Natalia Shilenkova
Modified: 2008-02-07 19:16 UTC (History)
0 users



Attachments
lock.patch (1.19 KB, patch)
2007-06-17 12:51 UTC, Natalia Shilenkova
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Natalia Shilenkova 2007-06-17 12:49:57 UTC
Database should use JDK 1.4 FileLock to check if another process is running already.
Comment 1 Natalia Shilenkova 2007-06-17 12:51:58 UTC
Created attachment 20360 [details]
lock.patch
Comment 2 Vadim Gritsenko 2007-06-26 17:25:57 UTC
applied